Upgrading Spark Standalone

This section describes how to upgrade Spark Standalone without the MapR Installer.

  1. Install the Spark packages.
    • On Ubuntu:
      apt-get install mapr-spark mapr-spark-master mapr-spark-historyserver
    • On RedHat/CentOS:
      yum update mapr-spark mapr-spark-master mapr-spark-historyserver
    • On SUSE:
      zypper upgrade mapr-spark mapr-spark-master mapr-spark-historyserver
  2. (Optional): Starting in the MEP 4.0 release, you can install the MapR Spark Thrift Server package.
    On Ubuntu
    apt-get insall mapr-spark-thriftserver
    On RedHat / CentOS
    yum install mapr-spark-thriftserver 
    On SUSE
    zypper install mapr-spark-thriftserver